#!/bin/sh
# -*- mode: shell-script; coding: utf-8 -*-
#
# postinst script for elho-desktop
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#	 * <postinst> 'configure' <most-recently-configured-version>
#	 * <old-postinst> 'abort-upgrade' <new version>
#	 * <conflictor's-postinst> 'abort-remove' 'in-favour' <package>
#	   <new-version>
#	 * <postinst> 'abort-remove'
#	 * <deconfigured's-postinst> 'abort-deconfigure' 'in-favour'
#	   <failed-install-package> <version> 'removing'
#	   <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

CHROMIUM_DESKTOP_FILE='/usr/share/applications/chromium.desktop'

patch_chromium_desktop ()
{
    if [ -e "${CHROMIUM_DESKTOP_FILE}.distrib" ]; then
	echo -n "Patching '${CHROMIUM_DESKTOP_FILE}'..."
	sed --file="/usr/share/elho/customize${CHROMIUM_DESKTOP_FILE}.sed" \
	    "${CHROMIUM_DESKTOP_FILE}.distrib" > "${CHROMIUM_DESKTOP_FILE}"
	echo " done."
    else
	rm -f "${CHROMIUM_DESKTOP_FILE}"
    fi
    
    dpkg-trigger --no-await $(dirname "${CHROMIUM_DESKTOP_FILE}")
}

case "$1" in
    configure)
	debconf-force-selections /usr/share/elho/preseed/elho-desktop.cfg

	# trigger removal of abook Muttrc snipped
	/lib/elho/reconfigure-package abook

	# update dictionaries-common config/sysmlinks according to debconf
	# values
	update-default-wordlist --triggered
	update-default-ispell --triggered

	/lib/elho/addtogroup elho wireshark

	invoke-rc.d procps force-reload

	patch_chromium_desktop
    ;;

    triggered)
	patch_chromium_desktop
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
	echo "postinst called with unknown argument '$1'" >&2
	exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


